<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<%@ taglib prefix="spring" uri="http://www.springframework.org/tags"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="form" uri="http://www.springframework.org/tags/form" %>

<html>
<jsp:include page="../fragments/header.jsp" />
<body>
	<div class="container">
	<jsp:include page="../fragments/mainmenu.jsp" />
	<spring:url value="/features/results" var="query"/>

	<div class="panel panel-default">
		<div class="panel-heading">
			<div style="font-weight:bold;">Protein Secondary Structure statistics</div>
		</div>
		<div class="panel-body">
			<form method="get" action="${query}">
			<div class="col-xs-3"> <!-- make the field shorter -->
			<c:choose>
			<c:when test="${error == null}">
			<div class="form-group">
				<label for="TypeFeatures">Secondary Structure Feature </label>
				<select name = TypeFeatures>
 					 <option value="H">Helix</option>
 					 <option value="E">Beta Sheet</option>
				</select>	
				<label for="SSFeatureValue">Fraction the feature in the protein</label>
				<input class="form-control" type="text" name="Percent" value ="${value}" id="SSFeatureValue">
			</div>
			</c:when>
			<c:otherwise>
			<div class="form-group has-error">
				<label for="SSFeature">Type of SS feature</label>
				<select name = TypeFeatures>
 					 <option value="H">H</option>
 					 <option value="E">E</option>
				</select>	
				<label for="SSFeatureValue">Percent of SS feature </label>
				<input class="form-control" type="text" name="Percent" value ="${value}" id="SSFeatureValue">
				<p class="help-block">${error}</p>
			</div>
			</c:otherwise>
			</c:choose>
			<input type="submit" name="Search" value="Search"/>
			</div>
			</form>
		</div>
	</div>
	<jsp:include page="../fragments/footer.jsp"/>
	</div>
</body>
</html>
